{lib, pkgs, config, ...}:

let
  cfg = config.services.forgejo;
  srv = cfg.settings.server;
in
{
  services.forgejo = {
    enable = true;
    database = {
      type = "sqlite3";
      path = "/var/lib/forgejo/forgejo.db";
    };
    lfs.enable = true;
    settings = {
      server = {
        domain = "git.nekomimi.pet";
        ROOT_URL = "https://git.nekomimi.pet";
        LANDING_PAGE = "explore";
        HTTP_PORT = 5000;
      };
      # service.DISABLE_REGISTRATION = true; 
      actions = {
        ENABLED = true;
        DEFAULT_ACTIONS_URL = "github";
      };
    };
  };
}