{ lib, pkgs, ... }:

let extraPackages = 
  let gtar = pkgs.runCommandNoCC "gtar" { } ''
    mkdir -p $out/bin
    ln -s ${lib.getExe pkgs.gnutar} $out/bin/gtar
  '';
  in
  with pkgs; [
    nix
    nixci
    cachix
    coreutils
    which
    jq
    gtar
    docker
    curl
  ];

in
{
  services.github-runners = {
    simplelink = {
      enable     = true;
      name       = "simplelink";
      url        = "https://github.com/waveringana/simplelink";
      token  = config.age.secrets."build-token".path;
      user = "regent";
      group = "docker";
      extraPackages = extraPackages;
     };
  };
}

